SubsumedRelation (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.rel
Class SubsumedRelation

    java.lang.Object
      fr.inrialpes.exmo.align.impl.BasicRelation
          fr.inrialpes.exmo.align.impl.rel.SubsumedRelation

All Implemented Interfaces:
  Relation, Visitable

    public class SubsumedRelation

extends BasicRelation

Represents an OWL subsumption relation.

Version:
  $Id: SubsumedRelation.java 631 2008-02-13 14:12:43Z jdavid $
Author:
  Jérôme Euzenat

Field Summary

Fields inherited from class fr.inrialpes.exmo.align.impl.BasicRelation
`relation`

Constructor Summary
`SubsumedRelation()` Creation

Method Summary
`void` | `accept(AlignmentVisitor visitor)`
`Relation` | `compose(Relation r)` By default...
`void` | `write(PrintWriter writer)` This is kept for displayig more correctly the result

Methods inherited from class fr.inrialpes.exmo.align.impl.BasicRelation
`createRelation, dump, equals, getRelation, hashCode, inverse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubsumedRelation

    public SubsumedRelation()

  Creation

Method Detail

### accept

    public void accept(AlignmentVisitor visitor)
                throws AlignmentException

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `BasicRelation`
  Throws:
    `AlignmentException`

### compose

    public Relation compose(Relation r)

  Description copied from class: `BasicRelation`
  By default...

  Specified by:
    `compose` in interface `Relation`
  Overrides:
    `compose` in class `BasicRelation`

### write

    public void write(PrintWriter writer)

  Description copied from class: `BasicRelation`
  This is kept for displayig more correctly the result

  Specified by:
    `write` in interface `Relation`
  Overrides:
    `write` in class `BasicRelation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010